#!/bin/bash

if [[ -z ${KOPIA_CRON_SCHEDULE} ]]; 
then
    echo "Running in one-shot mode"

    /run-backup.sh
else 
    CRONTAB=/etc/cron.d/kopia-backup

    printenv > /etc/environment 

    echo "Running cron with schedule ${KOPIA_CRON_SCHEDULE}"

    echo "${KOPIA_CRON_SCHEDULE} /run-backup.sh > /var/log/kopia-backup.log 2>&1" > ${CRONTAB}
    chmod 0644 ${CRONTAB}
    crontab ${CRONTAB}

    touch /var/log/kopia-backup.log
    cron && tail -f /var/log/kopia-backup.log
fi
